﻿// <auto-generated />
using AlfaDuo.Infra.Context;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace AlfaDuo.Infra.Migrations.Scheduler
{
    [DbContext(typeof(SchedulerContext))]
    [Migration("20220216132550_Scheduler")]
    partial class Scheduler
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "6.0.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("AlfaDuo.Domain.Entities.Scheduler", b =>
                {
                    b.Property<long>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("BIGINT")
                        .HasAnnotation("MySql:ValueGenerationStrategy", MySqlValueGenerationStrategy.IdentityColumn);

                    b.Property<ulong>("Active")
                        .HasColumnType("bit")
                        .HasColumnName("active");

                    b.Property<string>("Cron")
                        .IsRequired()
                        .HasColumnType("VARCHAR(20)")
                        .HasColumnName("cron");

                    b.Property<string>("Description")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("VARCHAR(100)")
                        .HasColumnName("description");

                    b.Property<long>("RuleId")
                        .HasColumnType("BIGINT");

                    b.HasKey("Id");

                    b.ToTable("Scheduler", (string)null);
                });
#pragma warning restore 612, 618
        }
    }
}
